Bug 95130 - Switching between RoR apps and deploying fails
Switching between RoR apps and deploying fails
Status: VERIFIED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
Sun All
: P1 (vote)
: 6.x
Assigned To: Torbjorn Norbye
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-09 19:28 UTC by Craig Mcclanahan
Modified: 2009-05-18 13:19 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Mcclanahan 2007-02-09 19:28:38 UTC
It will be common to work on more than one Ruby on Rails application at the same
time.  However, when you switch back and forth between them and use the "Run
Main Project" option, the application visible via WEBrick does *not* change.

Steps to reproduce:
* Create RoR application "example1"
* Add some models, views, controllers, and deploy
* In the browser, see that you can get to these pages
* Create RoR application "example2"
* Add some models, views, controllers with different
  names than those in "example1".
* Deploy with "Run Main Project" and attempt to access
* The controller names from example2 do not resolve,
  but the names from example1 still do.  This implies
  that you're still talking to the WEBrick started for
  example1.
Comment 1 Craig Mcclanahan 2007-03-10 05:13:17 UTC
Concerns addressed by the support for different WEBrick instances as part of
resolving issue 97321.
Comment 2 Jiri Kovalsky 2007-07-03 14:14:28 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 3 Jiri Kovalsky 2007-07-03 14:44:57 UTC
Changing target milestone of all resolved Ruby issues from TBD to 6.0 Beta 1 build.
Comment 4 Martin Schovanek 2009-05-18 13:19:10 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo